#pragma once

#include "CoreMinimal.h"
#include "MatchStartPlayerInfos.generated.h"

USTRUCT(BlueprintType)
struct FMatchStartPlayerInfos
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString KrakenId;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString PlayerName;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString CharacterName;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString Offering;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString Item;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FString> Addons;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FString> Perks;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FString> CustomizationItems;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool IsBot;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool IsReplacementBot;

public:
	DBDANALYTICS_API FMatchStartPlayerInfos();
};

FORCEINLINE uint32 GetTypeHash(const FMatchStartPlayerInfos) { return 0; }
